Download it now!
Bug 46994 - A document cannot be split into subdocuments using Headings or outline
Summary: A document cannot be split into subdocuments using Headings or outline
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-06 01:17 UTC by narayanaras
Modified: 2015-03-09 05:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2012-03-06 01:17:38 UTC
I have a 440+ page odt file, which has 4 levels of headings (Heading 1 to Heading 4.) This document has about 15 chapters, each starting with Heading1-level title. The paragraphs in each chapters are at Heading2 to Heading4 levels only.

I want to split this document into separate chapters. But rather than creating 15 chapters (each starting with Heading1 title), LibO creates one master document and just 3 subdocuments.

I use the "File>Send>Create master document" menu, and select "Style:Heading1" from the 'Template' menu.

I have used this command with OpenOffice before, and it worked fine.

What could be wrong? I can share the problematic file (5 MB).
Comment 1 sasha.libreoffice 2012-05-30 04:34:15 UTC
Thanks for bugreport
Please, verify if in last version of LibreOffice still reproducible
Comment 2 bfoman (inactive) 2012-08-08 11:06:29 UTC
(In reply to comment #0)
 
> What could be wrong? I can share the problematic file (5 MB).

Could you attach downsized document to allow others to check on different system/build?
Comment 3 QA Administrators 2013-05-27 16:54:30 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 Urmas 2013-05-27 20:14:44 UTC
COnfirmed in 4.1.
Comment 5 QA Administrators 2015-03-04 02:21:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03
Comment 6 Jean-Baptiste Faure 2015-03-09 05:58:54 UTC
Not reproducible for me with LibreOffice 4.4.2.0.0+ built at home under Ubuntu 14.10 x86-64.
I tested with a large document of mine with 13 chapters. The procedure produced 13 subdocuments.

Closing as WorksForMe. Please, feel free to reopen if you disagree.

Best regards. JBF